SS-LOCAL(1)

NAME
ss-local - shadowsocks client as socks5 proxy, libev port

SYNOPSIS
ss-local
    [-Auv] [-h|--help]
    [-s server_host] [-p server_port] [-l local_port]
    [-k password] [-m encrypt_method] [-f pid_file] [-t timeout]
    [-c config_file] [-b interface] [-a user_name]
    [-n nofile] [--fast-open] [--acl acl_config]

DESCRIPTION
Shadowsocks-libev is a lightweight and secure socks5 proxy. It is a port of the original shadowsocks created by clowwindy. Shadowsocks-libev is written in pure C and takes advantage of libev to achieve both high performance and low resource consumption.

Shadowsocks-libev consists of five components. ss-local(1) works as a standard socks5 proxy on local machines to proxy TCP traffic. For more information, check out shadowsocks-libev(8).

OPTIONS

-s server_host
    Set the server's hostname or IP.

-p server_port
    Set the server's port number.

-l local_port
    Set the local port number.

-k password
    Set the password. The server and the client should use the same password.

-m encrypt_method
    Set the cipher. Shadowsocks-libev accepts 18 different ciphers: table, rc4, rc4-md5, aes-128-cfb, aes-192-cfb, aes-256-cfb, bf-cfb, camellia-128-cfb, camellia-192-cfb, camellia-256-cfb, cast5-cfb, des-cfb, idea-cfb, rc2-cfb, seed-cfb, salsa20, chacha20 and chacha20-ietf. The default cipher is table. If built with PolarSSL or custom OpenSSL libraries, some of these ciphers may not work.

-a user_name
    Run as a specific user.

-f pid_file
    Start shadowsocks as a daemon with specific pid file.

-t timeout
    Set the socket timeout in seconds. The default value is 60.

-c config_file
    Use a configuration file.

-n number
    Specify max number of open files. Only available on Linux.

-i interface
    Send traffic through specific network interface. For example, there are three interfaces in your device, which is lo (127.0.0.1), eth0 (192.168.0.1) and eth1 (192.168.0.2). Meanwhile, you configure ss-local to listen on 0.0.0.0:8388 and bind to eth1. That results the traffic go out through eth1, but not lo nor eth0. This option is useful to control traffic in multi-interface environment.

-b local_address
    Specify local address to bind.

-u  Enable UDP relay.

-A  Enable onetime authentication.

--fast-open
    Enable TCP fast open. Only available with Linux kernel > 3.7.0.

--acl acl_config
    Enable ACL (Access Control List) and specify config file.

-v  Enable verbose mode.

-h, --help
    Print help message.

EXAMPLE
ss-local(1) can be started from command line and run in foreground. Here is an example:
    # Start ss-local with given parameters
    ss-local -s example.com -p 12345 -l 1080 -k foobar -m aes-256-cfb

SEE ALSO
ss-server(1), ss-tunnel(1), ss-redir(1), ss-manager(1), shadowsocks-libev(8), iptables(8), /etc/shadowsocks-libev/config.json

AUTHOR
shadowsocks was created by clowwindy <clowwindy42@gmail.com> and shadowsocks-libev was maintained by Max Lv <max.c.lv@gmail.com> and Linus Yang <laokongzi@gmail.com>.

This manual page was written by Max Lv <max.c.lv@gmail.com>.

The manual pages were rearranged by hosiet <073plan@gmail.com>.